#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.3
visibility:           public
id:                   http-client-restricted-0.0.3-GWB1HRj2XUiHzr6grRtfh6
key:                  http-client-restricted-0.0.3-GWB1HRj2XUiHzr6grRtfh6
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  24a229463cc8f5eff6be13f0a5611606
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.3/site-local/http-client-restricted-0.0.3
library-dirs:         /usr/lib/ghc-8.10.3/site-local/http-client-restricted-0.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.3/http-client-restricted-0.0.3

hs-libraries:         HShttp-client-restricted-0.0.3-GWB1HRj2XUiHzr6grRtfh6
depends:
    base-4.14.1.0 connection-0.3.1-3dv74Tt1GSn6r1kjOPyTCs
    data-default-0.7.1.1-D5xClLvfzndK9cvYxq1zSx
    http-client-0.7.3-FzBSrDpzkA8KT54p3AwhvU
    http-client-tls-0.3.5.3-GGgwvThXlLrBgPdqE5xevy
    network-3.1.2.1-9y0VtTYWqqL3JppbGD3fYJ
    network-bsd-2.8.1.0-Dftpd87hJzV8t7YRLfS8sB
    utf8-string-1.0.1.1-JbA4xmu2XMa1nQo1Lcnh9T

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

